import { Event } from "../../../../base/common/event.js";
import { AllowedMcpServer } from "@codingame/monaco-vscode-mcp-service-override/vscode/vs/workbench/services/authentication/browser/authenticationMcpAccessService";
export declare const IAuthenticationMcpAccessService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IAuthenticationMcpAccessService>;
export interface IAuthenticationMcpAccessService {
    readonly _serviceBrand: undefined;
    readonly onDidChangeMcpSessionAccess: Event<{
        providerId: string;
        accountName: string;
    }>;
    isAccessAllowed(providerId: string, accountName: string, mcpServerId: string): boolean | undefined;
    readAllowedMcpServers(providerId: string, accountName: string): AllowedMcpServer[];
    updateAllowedMcpServers(providerId: string, accountName: string, mcpServers: AllowedMcpServer[]): void;
    removeAllowedMcpServers(providerId: string, accountName: string): void;
}
